Bug 876406 - Review Request: perl-Data-Rmap - Recursive map, apply a block to a data structure
Review Request: perl-Data-Rmap - Recursive map, apply a block to a data struc...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
:
Depends On: 878247
Blocks: 876411
  Show dependency treegraph
 
Reported: 2012-11-13 22:00 EST by Miro Hrončok
Modified: 2013-01-11 19:30 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-05 01:37:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ppisar: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Miro Hrončok 2012-11-13 22:00:27 EST
Spec URL: https://github.com/hroncok/SPECS/raw/master/perl-Data-Rmap.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/perl-Data-Rmap-0.62-1.fc17.src.rpm

Description:

Recursively evaluate a BLOCK over a list of data structures 
(locally setting $_ to each element) and return the list composed
of the results of such evaluations.  $_ can be used to modify
the elements.

Fedora Account System Username: churchyard
Comment 1 Miro Hrončok 2012-11-19 17:37:47 EST
This depends on something not yet requested. Please do not review this yet.
Comment 2 Miro Hrončok 2012-11-19 18:09:09 EST
Spec URL: https://github.com/hroncok/SPECS/raw/master/perl-Data-Rmap.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/perl-Data-Rmap-0.62-3.fc17.src.rpm


- Removed BRs provided by perl package and more

Build no longer depends on other things requested.
Comment 3 Petr Pisar 2012-12-20 11:53:16 EST
Sndalone spec file in spec file from SRPM differ. I will use the newer standalone one for this review.

Source tar ball is original (SHA-256: 66686c34dcc32e1fdb6acc1cd6bc55e4b75496c9ca850645a8e3a8953c953c48). Ok.
URL and Source0 are Ok.

Summary verified from lib/Data/Rmap.pm. Ok.
Description verified from lib/Data/Rmap.pm. Ok.

TODO: I think the first sentence of description is not valid English. Try better word ordering like `This perl module evaluates a BLOCK over a list of data structures recursively...'.

License verified from lib/Data/Rmap.pm. Ok.

TODO: You can replace `%{__perl}' macros invocations with plain `perl' in the spec file.

TODO: Remove deleting empty directories in %install section. Modern Module::Build does not leave empty directories.

No XS code. noarch BuildArch is Ok.

FIX: Build-require `perl(Carp)' for running tests (lib/Data/Rmap.pm:392).
FIX: Build-require `perl(Scalar::Util)' for running tests (lib/Data/Rmap.pm:393).

TODO: Build-require `perl(Exporter)' for running tests (lib/Data/Rmap.pm:395).

FIX: Build-require `perl(Data::Dumper)' for running tests (test.pl:7).

All tests pass. Ok.

$ rpmlint perl-Data-Rmap.spec ../SRPMS/perl-Data-Rmap-0.62-3.fc19.src.rpm ../RPMS/noarch/perl-Data-Rmap-0.62-3.fc19.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
rpmlint is Ok.

$ rpm -q -lv -p ../RPMS/noarch/perl-Data-Rmap-0.62-3.fc19.noarch.rpm 
drwxr-xr-x    2 root    root                        0 Dec 20 17:44 /usr/share/doc/perl-Data-Rmap-0.62
-rw-r--r--    1 root    root                      373 Sep 22  2008 /usr/share/doc/perl-Data-Rmap-0.62/Changes
-rw-r--r--    1 root    root                    10379 Mar 29  2007 /usr/share/doc/perl-Data-Rmap-0.62/README
-rw-r--r--    1 root    root                     6505 Dec 20 17:44 /usr/share/man/man3/Data::Rmap.3pm.gz
drwxr-xr-x    2 root    root                        0 Dec 20 17:44 /usr/share/perl5/vendor_perl/Data
-rw-r--r--    1 root    root                    13977 Dec 20 17:44 /usr/share/perl5/vendor_perl/Data/Rmap.pm
File permissions and layout are Ok.

$ rpm -q --requires -p ../RPMS/noarch/perl-Data-Rmap-0.62-3.fc19.noarch.rpm | sort |uniq -c
      1 perl(Carp)
      1 perl(Exporter)
      1 perl(:MODULE_COMPAT_5.16.2)
      1 perl(Scalar::Util)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -q --provides -p ../RPMS/noarch/perl-Data-Rmap-0.62-3.fc19.noarch.rpm | sort |uniq -c
      1 perl(Data::Rmap) = 0.62
      1 perl-Data-Rmap = 0.62-3.fc19
Binary provides are Ok.

$ resolvedeps rawhide ../RPMS/noarch/perl-Data-Rmap-0.62-3.fc19.noarch.rpm 
Binary dependencies resolvable. Ok.

Package builds in F19 (http://koji.fedoraproject.org/koji/taskinfo?taskID=4807334). ???

Otherwise package is in line with Fedora and Perl packaging guidelines.


Please correct all `FIX' issued, consider fixing `TODO' items, and provide new spec file.
Resolution: Package NOT approved.
Comment 4 Miro Hrončok 2012-12-20 12:13:10 EST
Thnaks for the review.

Spec URL: https://github.com/hroncok/SPECS/raw/master/perl-Data-Rmap.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/perl-Data-Rmap-0.62-4.fc17.src.rpm

- Chnaged the description a bit for better language
- Replaced %{__perl} with perl
- Removed deleting empty directories in %install section
- Added BRs for tests
Comment 5 Petr Pisar 2012-12-21 03:55:27 EST
Spec file changes:

$ diff -u perl-Data-Rmap.spec{.old,}
--- perl-Data-Rmap.spec.old     2012-12-20 17:27:15.214000000 +0100
+++ perl-Data-Rmap.spec 2012-12-21 09:41:03.688000000 +0100
@@ -1,33 +1,36 @@
 Name:           perl-Data-Rmap
 Version:        0.62
-Release:        3%{?dist}
+Release:        4%{?dist}
 Summary:        Recursive map, apply a block to a data structure
 License:        GPL+ or Artistic
 Group:          Development/Libraries
 URL:            http://search.cpan.org/dist/Data-Rmap/
 Source0:        http://www.cpan.org/authors/id/B/BO/BOWMANBS/Data-Rmap-%{version}.tar.gz
 BuildArch:      noarch
+BuildRequires:  perl(Carp)
+BuildRequires:  perl(Data::Dumper)
+BuildRequires:  perl(Exporter)
 BuildRequires:  perl(Module::Build)
-BuildRequires:  perl(Test::More)
+BuildRequires:  perl(Scalar::Util)
 BuildRequires:  perl(Test::Exception)
-Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
+BuildRequires:  perl(Test::More)
+Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

 %description
-Recursively evaluate a BLOCK over a list of data structures
-(locally setting $_ to each element) and return the list composed
-of the results of such evaluations.  $_ can be used to modify
+This perl module evaluates a BLOCK over a list of data structures
+recursively (locally setting $_ to each element) and return the list
+composed of the results of such evaluations.  $_ can be used to modify
 the elements.

 %prep
 %setup -q -n Data-Rmap-%{version}

 %build
-%{__perl} Build.PL installdirs=vendor
+perl Build.PL installdirs=vendor
 ./Build

 %install
 ./Build install destdir=%{buildroot} create_packlist=0
-find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

 %{_fixperms} %{buildroot}/*

@@ -41,6 +44,12 @@
 %{_mandir}/man3/*

 %changelog
+* Thu Dec 20 2012 Miro Hrončok <miro@hroncok.cz> - 0.62-4
+- Chnaged the description a bit for better language
+- Replaced %%{__perl} with perl
+- Removed deleting empty directories in %%install section
+- Added BRs for tests
+
 * Fri Nov 16 2012 Miro Hrončok <miro@hroncok.cz> - 0.62-3
 - Removed BRs provided by perl package and more


> TODO: I think the first sentence of description is not valid English.
> Try better word ordering like `This perl module evaluates a BLOCK over
> a list of data structures recursively...'.
-Recursively evaluate a BLOCK over a list of data structures
-(locally setting $_ to each element) and return the list composed
-of the results of such evaluations.  $_ can be used to modify
+This perl module evaluates a BLOCK over a list of data structures
+recursively (locally setting $_ to each element) and return the list
+composed of the results of such evaluations.  $_ can be used to modify
 the elements.
TODO: s/and return the list/and returns the list/

> TODO: You can replace `%{__perl}' macros invocations with plain `perl' in the spec file.
Ok.

> TODO: Remove deleting empty directories in %install section. Modern Module::Build does not leave empty directories.
-find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
Ok.

> FIX: Build-require `perl(Carp)' for running tests (lib/Data/Rmap.pm:392).
+BuildRequires:  perl(Carp)
Ok.

> FIX: Build-require `perl(Scalar::Util)' for running tests (lib/Data/Rmap.pm:393).
+BuildRequires:  perl(Scalar::Util)
Ok.

> TODO: Build-require `perl(Exporter)' for running tests (lib/Data/Rmap.pm:395).
+BuildRequires:  perl(Exporter)
Ok.

> FIX: Build-require `perl(Data::Dumper)' for running tests (test.pl:7).
+BuildRequires:  perl(Data::Dumper)
Ok.

All tests pass. Ok.

$ rpmlint perl-Data-Rmap.spec ../SRPMS/perl-Data-Rmap-0.62-4.fc19.src.rpm ../RPMS/noarch/perl-Data-Rmap-0.62-4.fc19.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
rpmlint is Ok.

Package builds in F19 (http://koji.fedoraproject.org/koji/taskinfo?taskID=4810202). ???

Package is good.

Resolution: Package APPROVED.
Comment 6 Miro Hrončok 2012-12-22 14:36:59 EST
New Package SCM Request
=======================
Package Name: perl-Data-Rmap
Short Description: Recursive map, apply a block to a data structure
Owners: churchyard
Branches: f17 f18
Comment 7 Jon Ciesla 2012-12-24 09:03:09 EST
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-12-26 15:04:58 EST
perl-Data-Rmap-0.62-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-Data-Rmap-0.62-4.fc18
Comment 9 Fedora Update System 2012-12-26 15:06:52 EST
perl-Data-Rmap-0.62-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-Data-Rmap-0.62-4.fc17
Comment 10 Fedora Update System 2012-12-27 15:52:18 EST
perl-Data-Rmap-0.62-4.fc18 has been pushed to the Fedora 18 testing repository.
Comment 11 Petr Šabata 2013-01-02 05:23:08 EST
Package Change Request
======================
Package Name: perl-Data-Rmap
Branches: f17 f18
Owners:
InitialCC: perl-sig

Please add perl-sig user with watch* permissions only to all Fedora branches.
Comment 12 Jon Ciesla 2013-01-02 09:34:53 EST
Complete.
Comment 13 Fedora Update System 2013-01-05 01:37:08 EST
perl-Data-Rmap-0.62-4.fc17 has been pushed to the Fedora 17 stable repository.
Comment 14 Fedora Update System 2013-01-11 19:30:25 EST
perl-Data-Rmap-0.62-4.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.